Bug 71893 - System Settings > Mouse icon brings up random items
System Settings > Mouse icon brings up random items
Product: Red Hat Linux
Classification: Retired
Component: rhpl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-19 21:53 EDT by Gerry Tool
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-24 14:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2002-08-19 21:53:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Selecting Gnome > Start Here > System Settings > Mouse and entering root
password on prompt causes mouse to jump to the desktop or the panel and activate
a menu that is normally activated by the right mouse button.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.in Gnome, select Start Here > System Settings > Mouse
2.Enter root password when prompted
3.Observe action

Actual Results:  Mouse cursor jumps to desktop background or panel.  A menu
opens that would normally be activated by the right mouse button being pressed.
It may even try to select and icon and move it.  Most times, the mouse dialog
does not appear.  Once it did appear and I was able to make a change.

Expected Results:  Mouse selection dialog should open and allow changing of
mouse type.

Additional info:

I have a wireless Logitech Mouseman+ PS/2 mouse which has worked normally with
the two previous betas and with RH7.3.  I installed fresh batteries and repeated
test with same results.
Comment 1 Brent Fox 2002-08-20 12:56:59 EDT
The probing actually happens in the rhpl package, which makes a call to kudzu. 
I'm going to change the component to rhpl, although the problem may lie with the
way that kudzu probes the mouse.

katzj, is there any way to avoid this?
Comment 2 Jeremy Katz 2002-08-21 02:40:23 EDT
Not unless we don't probe.  This might actually be the right thing to do for
redhat-config-mouse -- try to read /etc/sysconfig/mouse and if that fails,
fallback to a probe (unless Bill has any better ideas)
Comment 3 Preston Brown 2002-08-21 11:10:20 EDT
Why doesn't this happen at install time?
Comment 4 Jeremy Katz 2002-08-21 11:56:48 EDT
The installer probes before we start X
Comment 5 Jeremy Katz 2002-08-22 01:59:34 EDT
Fixed with the combination of redhat-config-mouse-0.9.10-1 and rhpl-0.45-1
Comment 6 Jeremy Katz 2006-04-24 14:30:53 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.